Subject: Re: [PATCH 0/4] upload-pack: custom allowed object filters

From: Taylor Blau <[email-masked]>
Date: Tue, 21 Jul 2020 16:27:40 -0400

On Tue, Jul 21, 2020 at 01:06:39PM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > Taylor Blau (4):
> >   list_objects_filter_options: introduce 'list_object_filter_config_name'
> >   upload-pack.c: allow banning certain object filter(s)
> >   upload-pack.c: pass 'struct list_objects_filter_options *'
> >   upload-pack.c: introduce 'uploadpack.filter.tree.maxDepth'
> >
> >  Documentation/config/uploadpack.txt |  22 ++++++
> >  list-objects-filter-options.c       |  23 ++++++
> >  list-objects-filter-options.h       |   6 ++
> >  t/t5616-partial-clone.sh            |  34 +++++++++
> >  upload-pack.c                       | 104 ++++++++++++++++++++++++++++
> >  5 files changed, 189 insertions(+)
> >
> > --
> > 2.27.0.225.g9fa765a71d
>
> With this series (I do not know which one of them is the culprit) in
> the 'seen' branch, we seem to consistently get a segfault while
> running t5616 on macOS clang build [*1*]

Aye. Am I reading that correctly that it's git clone dying with a
SIGPIPE instead of a segfault? If so, this is what Szeder pointed out a
little lower in the thread (tl;dr is that 'git clone' is not resilient
to this whereas 'git fetch' is, and so we still need an `ok=sigpipe`
somewhere in t5616).

The new version that I'm preparing has these appropriately, so feel
free to discard this until I send a new version your way...

> [Footnote]
>
> *1* https://travis-ci.org/github/git/git/jobs/710504820 has the
>     topic at the tip of 'seen' that fails.  Without that merge,
>     https://travis-ci.org/github/git/git/jobs/710342598 seems to
>     pass on all archs.

Thanks,
Taylor